---
title: CSSPrimitiveValue.primitiveType
slug: Web/API/CSSPrimitiveValue/primitiveType
tags:
  - API
  - CSSPrimitiveValue
  - Property
  - Read-only
  - Reference
  - primitiveValue
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>primitiveType</strong></code> read-only property of the {{domxref("CSSPrimitiveValue")}} interface represents the type of a CSS value.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>type</var> = <var>cssPrimitiveValue</var>.primitiveType;
</pre>

<h3 id="Value">Value</h3>

<p>An <code>unsigned short</code> representing the type of the value. Possible values are:</p>

<table class="standard-table">
 <tbody>
  <tr>
   <td class="header">Constant</td>
   <td class="header">Description</td>
  </tr>
  <tr>
   <td><code>CSS_ATTR</code></td>
   <td>The value is an {{cssxref("attr()")}} function. The value can be obtained by using the <code>getStringValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_CM</code></td>
   <td>The value is a {{cssxref("&lt;length&gt;")}} in centimeters. The value can be obtained by using the <code>getFloatValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_COUNTER</code></td>
   <td>The value is a <a href="/en-US/docs/Web/CSS/CSS_Lists_and_Counters/Using_CSS_counters">counter or counters</a> function. The value can be obtained by using the <code>getCounterValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_DEG</code></td>
   <td>The value is an {{cssxref("&lt;angle&gt;")}} in degrees. The value can be obtained by using the <code>getFloatValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_DIMENSION</code></td>
   <td>The value is a {{cssxref("&lt;number&gt;")}} with an unknown dimension. The value can be obtained by using the <code>getFloatValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_EMS</code></td>
   <td>The value is a {{cssxref("&lt;length&gt;")}} in em units. The value can be obtained by using the <code>getFloatValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_EXS</code></td>
   <td>The value is a {{cssxref("&lt;length&gt;")}} in ex units. The value can be obtained by using the <code>getFloatValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_GRAD</code></td>
   <td>The value is an {{cssxref("&lt;angle&gt;")}} in grads. The value can be obtained by using the <code>getFloatValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_HZ</code></td>
   <td>The value is a {{cssxref("&lt;frequency&gt;")}} in Hertz. The value can be obtained by using the getFloatValue method.</td>
  </tr>
  <tr>
   <td><code>CSS_IDENT</code></td>
   <td>The value is an identifier. The value can be obtained by using the <code>getStringValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_IN</code></td>
   <td>The value is a {{cssxref("&lt;length&gt;")}} in inches. The value can be obtained by using the <code>getFloatValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_KHZ</code></td>
   <td>The value is a {{cssxref("&lt;frequency&gt;")}} in Kilohertz. The value can be obtained by using the <code>getFloatValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_MM</code></td>
   <td>The value is a {{cssxref("&lt;length&gt;")}} in millimeters. The value can be obtained by using the <code>getFloatValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_MS</code></td>
   <td>The value is a {{cssxref("&lt;time&gt;")}} in milliseconds. The value can be obtained by using the <code>getFloatValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_NUMBER</code></td>
   <td>The value is a simple {{cssxref("&lt;number&gt;")}}. The value can be obtained by using the <code>getFloatValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_PC</code></td>
   <td>The value is a {{cssxref("&lt;length&gt;")}} in picas. The value can be obtained by using the <code>getFloatValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_PERCENTAGE</code></td>
   <td>The value is a {{cssxref("&lt;percentage&gt;")}}. The value can be obtained by using the <code>getFloatValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_PT</code></td>
   <td>The value is a {{cssxref("&lt;length&gt;")}} in points. The value can be obtained by using the <code>getFloatValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_PX</code></td>
   <td>The value is a {{cssxref("&lt;length&gt;")}} in pixels. The value can be obtained by using the <code>getFloatValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_RAD</code></td>
   <td>The value is an {{cssxref("&lt;angle&gt;")}} in radians. The value can be obtained by using the <code>getFloatValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_RECT</code></td>
   <td>The value is a {{cssxref("shape", "rect()", "#Syntax")}} function. The value can be obtained by using the <code>getRectValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_RGBCOLOR</code></td>
   <td>The value is an {{cssxref("&lt;color&gt;")}}. The value can be obtained by using the <code>getRGBColorValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_S</code></td>
   <td>The value is a {{cssxref("&lt;time&gt;")}} in seconds. The value can be obtained by using the <code>getFloatValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_STRING</code></td>
   <td>The value is a {{cssxref("&lt;string&gt;")}}. The value can be obtained by using the <code>getStringValue()</code> method.</td>
  </tr>
  <tr>
   <td><code>CSS_UNKNOWN</code></td>
   <td>The value is not a recognized CSS2 value. The value can only be obtained by using the {{domxref("CSSValue.cssText", "cssText")}} attribute.</td>
  </tr>
  <tr>
   <td><code>CSS_URI</code></td>
   <td>The value is a {{cssxref("&lt;uri&gt;")}}. The value can be obtained by using the <code>getStringValue()</code> method.</td>
  </tr>
 </tbody>
</table>

<h2 id="Example">Example</h2>

<pre class="brush: js; highlight[3]">var cs = window.getComputedStyle(document.body);
var cssValue = cs.getPropertyCSSValue("color");
console.log(cssValue.primitiveType);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Style', 'css.html#CSS-CSSPrimitiveValue-primitiveType', 'CSSPrimitiveValue.primitiveType')}}</td>
   <td>{{Spec2('DOM2 Style')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.CSSPrimitiveValue.primitiveType")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("CSSStyleDeclaration.getPropertyCSSValue()")}}</li>
</ul>
